Digest::Adler32 - Crystal 1.16.3

# class Digest::Adler32

- Digest::Adler32
- Digest
- Reference
- Object

##
Overview

Implements the Adler32 checksum algorithm.

NOTE To use `Adler32`, you must explicitly import it with `require "digest/adler32"`

##
Extended Modules

- Digest::ClassMethods

##
Defined in:

digest/adler32.cr

##
Constructors

- .new

##
Class Method Summary

- .checksum(data) : UInt32
- .combine(adler1 : UInt32, adler2 : UInt32, len) : UInt32
- .initial : UInt32
- .update(data, adler32 : UInt32) : UInt32

### Instance methods inherited from class `Digest`

<<(data) : self <<, digest_size : Int32 digest_size, file(file_name : Path | String) : self file, final(dst : Bytes) : Bytes
final : Bytes final, final_impl(dst : Bytes) : Nil final_impl, hexfinal(dst : Bytes) : Nil
hexfinal(io : IO) : Nil
hexfinal : String hexfinal, reset : self reset, reset_impl : Nil reset_impl, update(data : Bytes) : self
update(io : IO) : self
update(data) : self update, update_impl(data : Bytes) : Nil update_impl

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new, unsafe_construct(address : Pointer, *args, **opts) : self unsafe_construct

### Class methods inherited from class `Reference`

pre_initialize(address : Pointer) pre_initialize

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.new #

##
Class Method Detail

def self.checksum(data) : UInt32 #
def self.combine(adler1 : UInt32, adler2 : UInt32, len) : UInt32 #
def self.initial : UInt32 #
def self.update(data, adler32 : UInt32) : UInt32 #